#pragma once

#include "CoreMinimal.h"
#include "BhvrBarkCondition.h"
#include "GameplayTagContainer.h"
#include "UObject/NoExportTypes.h"
#include "BhvrBarkCondition_String.generated.h"

UCLASS(Blueprintable)
class BHVRBARK_API UBhvrBarkCondition_String : public UBhvrBarkCondition
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere)
	FGameplayTag Key;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TEnumAsByte<ESearchCase::Type> TestType;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString Value;

public:
	UBhvrBarkCondition_String();
};

FORCEINLINE uint32 GetTypeHash(const UBhvrBarkCondition_String) { return 0; }
